createPentestRetest
Trigger an in-place retest of a finished AI Pentest project
createPentestRetest(
input: CreatePentestRetestInput!
): CreatePentestRetestPayload
Arguments
createPentestRetest.input ● CreatePentestRetestInput! non-null input
Parameters for CreatePentestRetest
Type
CreatePentestRetestPayload object
Autogenerated return type of CreatePentestRetest.
Example request
This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.
Before you run it
Run the projects query first and use data.projects.collection[].id as projectId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreatePentestRetest($input: CreatePentestRetestInput!) {\n createPentestRetest(input: $input) { clientMutationId pentestExecution { id status createdAt } }\n}","variables":{"input":{"projectId":"<project_id>"}}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "mutation MutateCreatePentestRetest($input: CreatePentestRetestInput!) {\n createPentestRetest(input: $input) { clientMutationId pentestExecution { id status createdAt } }\n}",
variables: {
"input": {
"projectId": "<project_id>"
}
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "mutation MutateCreatePentestRetest($input: CreatePentestRetestInput!) {\n createPentestRetest(input: $input) { clientMutationId pentestExecution { id status createdAt } }\n}",
'variables': json.loads("{\"input\":{\"projectId\":\"<project_id>\"}}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute